.news-list-section .news-content {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: var(--grid-gap-large);
}

.news-list-section .news-content .news-categoty,
.news-list-section .news-content .news-list-content {
  width: 100%;
}

.news-list-section .news-list {
  display: grid;
  grid-template-rows: auto;
  gap: var(--grid-vertical-gap) var(--grid-horizontal-gap);
  grid-template-columns: repeat(var(--data-column), 1fr);
}

.news-list-section .news-content.category-left {
  flex-direction: row;
}

.news-list-section .news-content.category-left .news-categoty {
  width: 20%;
}
.news-list-section .news-content .news-categoty:empty {
  display: none;
}
.news-list-section .news-content.category-left .news-list-content {
  flex: 1;
}

.news-list-section .news-content .news-list-content {
  display: flex;
  flex-direction: column;
  gap: var(--section-space-small);
  width: 100%;
}

.news-list-section .news-list.horizontal .item-card .item-image {
  width: 40%;
}

.news-list-section #pagesize .loading-indicator {
  text-align: center;
}

.news-list-section #pagesize .loading-indicator i {
  display: inline-block;
  font-size: var(--icon-medium);
  color: var(--text-color);
  animation: load-spining 1s linear infinite;
}
@keyframes load-spining {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@media screen and (max-width: 1023px) {
  .news-list-section .news-content {
    flex-direction: column;
  }

  .news-list-section .news-content .news-categoty {
    width: 100% !important;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
  }

  .news-list-section .news-list {
    grid-template-columns: repeat(2, 1fr) !important;
  }
  .news-list-section .news-list.horizontal {
    grid-template-columns: repeat(1, 1fr) !important;
  }

  .news-list-section .news-list.horizontal .item-card .item-image {
    width: 30%;
  }

  .news-list-section .news-content {
    flex-direction: column !important;
  }

  .news-list-section .news-content .news-categoty {
    width: 100% !important;
  }
}